#ifndef CONF_SETTING_H
#define CONF_SETTING_H

#include <QDialog>

#include "src/config.h"

namespace Ui {
class CGroupSetting;
}

class CGroupSetting : public QDialog
{
    Q_OBJECT

public:
    explicit CGroupSetting(QWidget* parent, CGroupIni* oper);
    ~CGroupSetting();

protected:
    void showEvent(QShowEvent* event) override;

private:
    void add_item();
    void del_item();
    void set_ui(const OneGroupIni& gp);
    void change_ini();
    void update_ini();

private:
    bool auto_add_{false};
    Ui::CGroupSetting* ui;
    CGroupIni* ini_opr_{};
};

#endif   // CONF_SETTING_H
